For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
      • GETReturns all documents.
      • POSTCreates a new document.
      • POSTRestores the document with the specified id from the trash.
      • GETReturns the document with the specified id.
      • PUTUpdates the document with the specified id.
      • DELDeletes the document with the specified id.
      • GETReturns the content of the current version of the document with the specified id.
      • PUTUpdates the content of the document with the specified id.
      • POSTAdds a list of document contributors to the document with the specified id.
      • PUTUpdates the access of a document contributor with the specified id to a document.
      • DELDeletes the document contributor with the specified id from a document.
      • POSTDuplicates the document with the specified id.
      • POSTAdds a list of document teams to a document with the specified id.
      • PUTUpdates the document team with the specified id.
      • DELDeletes the document team with the specified id from a document.
      • GETReturns all documents that belong to the document space with the specified id.
      • GETReturns all deleted documents of the document space with the specified id.
      • GETReturns the requesting user's private documents.
      • GETReturns the requesting user's private trashed documents.
      • GETReturns all documents that were shared with the requesting user.
      • GETRetrieves all documents for a project.
      • GETRetrieves all trashed documents for a project.
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceDocuments

Adds a list of document contributors to the document with the specified id.

POST
https://api.awork.com/api/v1/documents/:documentId/contributors
POST
/api/v1/documents/:documentId/contributors
$curl -X POST https://api.awork.com/api/v1/documents/documentId/contributors \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "accessLevel": "read",
> "userId": "123e4567-e89b-12d3-a456-426614174000"
> }
>]'
1[
2 {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "userId": "123e4567-e89b-12d3-a456-426614174000",
5 "accessLevel": "string"
6 }
7]
Adding document contributors will grant them access to the document. There will be a recalculation of permissions for related entities considering the updated document contributor. <Check title="Required Permissions" icon="key">The user must have at least `write` permissions for this document.</Check>
Was this page helpful?
Previous

Updates the access of a document contributor with the specified id to a document.

Next
Built with

Adding document contributors will grant them access to the document. There will be a recalculation of permissions for related entities considering the updated document contributor.

Required Permissions
The user must have at least write permissions for this document.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

documentIdstringRequiredformat: "uuid"
The id of the document to add contributors to.

Request

The model used to add the document contributors.
accessLevelenumRequired

Determines the level of access granted to this contributor with respect to the referenced entity. Can be either set to read or manage.

Allowed values:
userIdstringRequiredformat: "uuid"
The id of the user this contributor references.

Response

OK
idstringformat: "uuid"
The id of the contributor.
userIdstringformat: "uuid"
The id of the user this contributor references.
accessLevelstring or null

Determines the level of access granted to this contributor with respect to the specific entity. Can be either set to read or manage.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error